.link-underline {
  position: relative;

  &::after {
    content: "";
    position: absolute;
    z-index: -1;
    top: 70%;
    left: -0.1px;
    right: -0.1px;
    bottom: 0;
    transition: top 0.1s ease-in-out;
    background-color: rgba($primary-red, 0.5);
  }

  &:hover::after {
    top: 0;
  }
}